Bug 982452 - Gnome with F19 "thinks" it sees 2 monitors with a KVM over IP switch, but only one monitor exists
Gnome with F19 "thinks" it sees 2 monitors with a KVM over IP switch, but onl...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 02:01 EDT by Greg Scott
Modified: 2015-02-17 11:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:00:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Scott 2013-07-09 02:01:10 EDT
Description of problem:

Gnome 3.8.1 (I think this is the version) that comes with Fedora 19 "thinks" my KVM switch has 2 monitors when I only have one monitor.

Version-Release number of selected component (if applicable):
Fedora 19 and Gnome that ships with F19.  3.8.1?

How reproducible:
At will

Steps to Reproduce:
1. Install F19 as an infrastructure server.
2. Logon and yum groupinstall the Gnome Desktop and dependencies.
3. startx
4. Wait forever for an "Activities" menu that will never show up.

Actual results:

Gnome "thinks" you have a continuous display spanning 2 monitors.  But you only have one monitor and the system you're installing has no provision for a second monitor.  When you log on, you will see pretty much just a background pattern, not realizing you're somehow fooled Gnome into "thinking" this is the 2nd desktop portion of a continuous dual monitor display.  You wait an insanely long time for the "Activity" menu to present itself and after the screen sits there like a bump on a log for a long time, you'll start clicking around.  Eventually you'll stumble across an unmarked area at the top left of the screen, near where the "Activity" menu should be.. Right-click and that takes you to a menu where you can adjust the display.  It will insist you have 2 monitors, even though you only have one monitor.  Clicking the choice to replicate both displays works around the problem - now you have an "Activity" menu.  

Expected results:

Gnome should provide a coupon for a free real, actual first monitor since it thinks my monitor is the 2nd monitor in a dual monitor system.  If the economics for that choice don't work, Gnome really should only find one monitor when only one monitor is present.  Invisible mystery-monitors are very difficult to track down.

Additional info:

The KVM switch hardware that produced the problem is an Avocent DSR2020 KVM over IP switch with DSRIQ-USB dongle.  The DSRIQ-USB dongle has a cat5 port on one side and USB/Video cables on the other side.  These retail for $100+ but are now widely available on eBay for pennies on the dollar.  The DSRIQ moves USB and video data to/from the KVM switch via standard cat5e cable and connects USB and video cables to the managed server.  I only have one monitor and the F19 system I am installing only has one monitor port.  I have a hunch Gnome mistakenly thinks that DSRIQ-USB dongle is a first monitor and my real monitor is a 2nd monitor.
Comment 1 Fedora End Of Life 2015-01-09 13:47:30 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 11:00:13 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.